/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.dto.engineInfo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
* 查询接口--数据传输对象：执行引擎信息表
*
* createdate:  2022-09-28 14:47:46  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "执行引擎信息表")
public class CdEngineInfoQueryDto implements Serializable
{
    /**
     * 引擎名称<br>
     */
    @ApiModelProperty("引擎名称")
    private String engineName;
    /**
     * pc设备id<br>
     */
    @ApiModelProperty("pc设备名称")
    private String deviceName;
    /**
     * ip地址<br>
     */
    @ApiModelProperty("ip地址")
    private String ipAddr;
    /**
     * 引擎版本<br>
     */
    @ApiModelProperty("引擎版本")
        private String runningRelease;
    /**
     * 注册时间<br>
     */
    @ApiModelProperty("注册时间")
    private Date registedTime;
    /**
     * 引擎状态<br>
     */
    @ApiModelProperty("引擎状态")
    private String engineStatus;

    public String getEngineName() {
        return engineName;
    }

    public void setEngineName(String engineName) {
        this.engineName = engineName;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getIpAddr() {
        return ipAddr;
    }

    public void setIpAddr(String ipAddr) {
        this.ipAddr = ipAddr;
    }

    public String getRunningRelease() {
        return runningRelease;
    }

    public void setRunningRelease(String runningRelease) {
        this.runningRelease = runningRelease;
    }

    public Date getRegistedTime() {
        return registedTime;
    }

    public void setRegistedTime(Date registedTime) {
        this.registedTime = registedTime;
    }

    public String getEngineStatus() {
        return engineStatus;
    }

    public void setEngineStatus(String engineStatus) {
        this.engineStatus = engineStatus;
    }
}